Subject: [bug#49412] [PATCH core-updates] gnu: libdrm: Update to 2.4.107.

From: Kaelyn <[email-masked]>
Date: Mon, 05 Jul 2021 15:58:24 +0000

On Monday, July 5th, 2021 at 11:15 AM, Maxime Devos <[email-masked]> wrote:

> Kaelyn Takata via Guix-patches via schreef op ma 05-07-2021 om 08:43 [+0000]:
>
> > -   gnu/packages/xdisorg.scm (libdrm): Update to 2.4.107, and change
> >
> >     libpciaccess to a propagated input as the pkg-config for libdrm_intel now
> >
> >     includes it in the libs.
> >
> > gnu/packages/xdisorg.scm | 6 +++---
> >
> > 1 file changed, 3 insertions(+), 3 deletions(-)
> >
> > diff --git a/gnu/packages/xdisorg.scm b/gnu/packages/xdisorg.scm
> >
> > index d0da2d28d1..1b38149654 100644
> >
> > --- a/gnu/packages/xdisorg.scm
> >
> > +++ b/gnu/packages/xdisorg.scm
> >
> > @@ -638,7 +638,7 @@ rasterisation.")
> >
> > (define-public libdrm
> >
> > (package
> >
> > (name "libdrm")
> >
> > -   (version "2.4.104")
> >
> > -   (version "2.4.107")
> >
> >     (source (origin
> >
> >     (method url-fetch)
> >
> >     (uri (string-append
> >
> >     @@ -646,7 +646,7 @@ rasterisation.")
> >
> >     version ".tar.xz"))
> >
> >     (sha256
> >
> >     (base32
> >
> > -                  "1jqvx9c23hgwhq109zqj6vg3ng40pcvh3r1k2fn1a424qasxhsnn"))))
> >
> >
> >
> > -                  "127qf1rzhaf13vdd75a58v5q34617hvangjlfnlkcdh37gqcwm65"))))
> >
> >
> >     (build-system meson-build-system)
> >
> >     (arguments
> >
> >     `(#:configure-flags
> >
> >     @@ -663,7 +663,7 @@ rasterisation.")
> >
> >     (replace 'check
> >
> >     (lambda _
> >
> >     (invoke "meson" "test" "--timeout-multiplier" "5"))))))
>
> If you are updating "libdrm" on core-updates anyway,
>
> can you also make the following change (as a separate patch)?:
>
> (replace 'check
>
> (lambda* (#:key tests? #:allow-other-keys)
>
> (when tests?
>
> (invoke "meson" "test" "--timeout-multiplier" 5))))
>
> That should allow "guix build SOMETHING --without-tests=libdrm" to work.

I'm not familiar with the "--without-tests=" flag and mechanism, but would be happy to add a patch for it. I've only recently started using Guix and this is my first patch submission (it's a precursor patch from my attempt to update mesa to 21.1.x); should I email that patch to [email-masked] to make it part of the same issue?

Cheers,
Kaelyn